Package com.emc.d2fs.service

# Interface ExternalShareConstants

public interface ExternalShareConstants
external share constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `C2_OVERRIDE`
  `static final String`
  `D2_CORE_ACCESS_TOKEN`
  `static final String`
  `D2_REST_ACCESS_TOKEN`
  `static final String`
  `DOCUMENTUM_CLIENT_TOKEN`
  `static final String`
  `EXTERNAL_SHARE_OBJECT`
  `static final String`
  `EXTERNAL_SHARE_RELATION`
  `static final String`
  `EXTERNAL_SHARE_SEARCH_QUERY_PARAM`
  `static final List<String>`
  `EXTERNAL_SHARE_SERVICES`
  `static final String`
  `EXTERNAL_SHARE_SYSTEM`
  `static final String`
  `EXTERNAL_SHARE_SYSTEM_ALL`
  `static final String`
  `EXTERNAL_SHARE_SYSTEM_CORE`
  `static final String`
  `EXTERNAL_SHARE_SYSTEM_CORE_RELATION`
  `static final String`
  `EXTERNAL_SHARE_SYSTEM_PENDING`
  `static final String`
  `EXTERNAL_SHARE_SYSTEM_VERSION`
  `static final String`
  `SHARE_NAME`
  `static final String`
  `SHARE_VERSION_ID`
  `static final String`
  `TARGET_EXT_SHARE_SYSTEMS`

- ## Field Details

  - ### EXTERNAL_SHARE_OBJECT

    static final String EXTERNAL_SHARE_OBJECT
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SYSTEM

    static final String EXTERNAL_SHARE_SYSTEM
    See Also:
      - Constant Field Values

  - ### SHARE_NAME

    static final String SHARE_NAME
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_RELATION

    static final String EXTERNAL_SHARE_RELATION
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SYSTEM_ALL

    static final String EXTERNAL_SHARE_SYSTEM_ALL
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SYSTEM_CORE

    static final String EXTERNAL_SHARE_SYSTEM_CORE
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SYSTEM_CORE_RELATION

    static final String EXTERNAL_SHARE_SYSTEM_CORE_RELATION
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SYSTEM_PENDING

    static final String EXTERNAL_SHARE_SYSTEM_PENDING
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SYSTEM_VERSION

    static final String EXTERNAL_SHARE_SYSTEM_VERSION
    See Also:
      - Constant Field Values

  - ### DOCUMENTUM_CLIENT_TOKEN

    static final String DOCUMENTUM_CLIENT_TOKEN
    See Also:
      - Constant Field Values

  - ### D2_CORE_ACCESS_TOKEN

    static final String D2_CORE_ACCESS_TOKEN
    See Also:
      - Constant Field Values

  - ### D2_REST_ACCESS_TOKEN

    static final String D2_REST_ACCESS_TOKEN
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SEARCH_QUERY_PARAM

    static final String EXTERNAL_SHARE_SEARCH_QUERY_PARAM
    See Also:
      - Constant Field Values

  - ### TARGET_EXT_SHARE_SYSTEMS

    static final String TARGET_EXT_SHARE_SYSTEMS
    See Also:
      - Constant Field Values

  - ### C2_OVERRIDE

    static final String C2_OVERRIDE
    See Also:
      - Constant Field Values

  - ### SHARE_VERSION_ID

    static final String SHARE_VERSION_ID
    See Also:
      - Constant Field Values

  - ### EXTERNAL_SHARE_SERVICES

    static final List<String> EXTERNAL_SHARE_SERVICES